<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CommitClear Method (IEdmClearLocalCache)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmClearLocalCache Interface : CommitClear Method (IEdmClearLocalCache)

Visual Basic
C#
C++/CLI

poCallback
  Optional pointer to a class that implements IEdmCallback to provide progress feedback to the user

Clears the files and folders specified by IEdmClearLocalCache::AddFilebyPath and IEdmClearLocalCache::AddFolder from the local cache.

# Syntax

Visual Basic |
--- | ---

    Sub CommitClear( _
       Optional ByVal poCallback As EdmCallback _
    )

C# |
--- | ---

    void CommitClear(
       EdmCallback poCallback
    )

C++/CLI |
--- | ---

    void CommitClear(
    &   EdmCallback^ poCallback
    )

#### Parameters

poCallback
  Optional pointer to a class that implements IEdmCallback to provide progress feedback to the user

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmClearLocalCache Interface
IEdmClearLocalCache Members

# Availability

SOLIDWORKS PDM Professional 2008